#ifndef PROCESS_H
#define PROCESS_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>              // Find integer types like "uint8_t"  

// Since this is essentially the application layer, it is also where global defines related to the 
// application are defined.  Also application level variables. 
#define SCR_Calibrate         0
#define SCR_FTDI              1
#define SCR_Buttons           2
#define SCR_MO                3
#define SCR_BLK               4
#define SCR_WHT               5
#define SCR_RED               6
#define SCR_GRE               7
#define SCR_BLU               8
#define SCR_BOX               9
#define SCR_JPG               10
#define SCR_RAW               11


void MakeScreen_Button(void);
void MakeScreen_MO_EVE(void);
void MakeScreen_Black(void);
void MakeScreen_White(void);
void MakeScreen_Red(void);
void MakeScreen_Green(void);
void MakeScreen_Blue(void);
void MakeScreen_Box(void);
void MakeScreen_Bitmap(uint8_t *filename, uint16_t Xsize, uint16_t Ysize, uint16_t Xloc, uint16_t Yloc, uint8_t Reference);
void MakeScreen_Bitmap_DL(uint8_t *filename, uint16_t Xsize, uint16_t Ysize, uint16_t Xloc, uint16_t Yloc, uint8_t Reference);
void MakeScreen_JPEG(uint8_t *filename, uint16_t Xsize, uint16_t Ysize, uint16_t Xloc, uint16_t Yloc, uint8_t Reference);
uint32_t Load_JPG(uint32_t BaseAdd, uint32_t Options, char *filename); 
uint32_t Load_ZLIB(uint32_t BaseAdd, char *filename);
uint32_t Load_RAW(uint32_t BaseAdd, char *filename); 
void SelectScreen(uint8_t ID);
uint8_t CheckKeys(void);

#ifdef __cplusplus
}
#endif

#endif
